<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<h2>HTML Entities</h2>
	<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code.) </em></p>

	<!-- Defines an HTML Table -->
	<table border="1">
		<!-- Used to group table header content -->
		<thead>
			<!-- Defines the table row -->
			<tr>
				<!-- Defines a table header element -->
				<!-- Defines the amount of columns the table element will occupy -->
				<th colspan="2">Entity</th>
				<th>Description</th>
			</tr>
		</thead>
		<!-- Used to group table body content -->
		<tbody>
			<tr>
				<!-- Defines a table data element -->
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>
			</tr>
			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>greater than</td>
			</tr>
			<tr>
				<td>&#8369;</td>
				<td>#8369</td>
				<td>Peso sign</td>
			</tr>
			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>ampersand</td>
			</tr>
			<tr>
				<td>&quot;</td>
				<td>quot</td>
				<td>double quotation mark</td>
			</tr>
			<tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>single quotation mark</td>
			</tr>
			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>Lower Tilde</td>
			</tr>
			<tr>
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>Upper Tilde</td>
			</tr>
		</tbody>
			<!-- Used to group table footer content -->
		<tfoot>
			<tr>
				<th colspan="3">List of HTML entities
			</th>
			</tr>
		</tfoot>	
	</table>

	<br><br>

	<h2>HTML Forms</h2>
	<p><em>Input elements that make up a form.</em></p>

	<!--Creates an HTML form to capture user input  -->
	<form action="https://google.com">

		<label for="full name">Full Name: </label> <br>
		<input type="text" name="full_name" id="full_name" required>

		<br><br>

		<label for="birth_date">Birth Date: </label> <br>
		<input type="date" name="birth_date" id="birth_date" required> 
		<br><br>

		<label for="age">Age: </label> <br>
		<input type="number" name="age" id="age" required> 
		<br><br>

		<label for="gender">Gender: </label> <br>
		<!-- Creates a dropdown menu -->
		<select name="gender" id="gender">
			<!-- Value yung mas send sa databse -->
			<option value="Male">Male</option>
			<option value="Female">Female</option>
		</select> 

		<br><br>


		<label for="notes">Notes:</label><br>
		<textarea name="notes" rows="5" id="notes"></textarea>
		<br><br>
		
		<!-- Radio Buttons -->
		<label> New User:</label><br>
		
		<input type="radio" name="new_user" id="user-type1" value="yes">
		<label for="user-type1">Yes</label><br>

		<input type="radio" name="new_user" id="user-type2" value="no">
		<label for="user-type2">No</label>

		<br><br>

		<!-- Checkbox -->
		<label>Role:</label> <br>

		<input type="checkbox" name="role1" id="role1" value="developer">
		<label for="role1">Developer</label><br>

		<input type="checkbox" name="role2" id="role2" value="student">
		<label for="role2">Student</label><br>

		<input type="checkbox" name="role3" id="role1" value="manager">
		<label for="role3">manager</label>

		<br><br>


		<!-- Creates a button that will submit the form data  -->
		<button type="submit">Submit</button>
		<button type="reset">Reset</button>


	</form>
</body>
</html>